/**
 * Resolves class dependencies
 */

var path = require('path');

function Resolver() {
  this.instances = {};
  this.locked = false;
  this.root = __dirname;
}

Resolver.prototype.lock = function() {
  this.locked = true;
}

Resolver.prototype.setRoot = function(root) {
  if (this.locked) {
    throw 'The resolve has been locked!'
  } else {
    this.root = root;
  }
}

Resolver.prototype.get = function(name, defaultVal) {
  if (!this.instances[name]) {
    this.instances[name] = require(path.join(this.root, name));
  }
  if (!this.instances[name]) {
    this.instances[name] = defaultVal;
  }
  return this.instances[name];
};

Resolver.prototype.register = function(name, obj) {
  if (this.locked) {
    throw 'The resolver has been locked!';
  } else {
    instances[name] = obj;
  }
};

var singleton = new Resolver();
module.exports = singleton;